Bug 126770 - [PLAN6.5] NetBeans Installer can`t automatically find Java (64-bit) on Windows x64
[PLAN6.5] NetBeans Installer can`t automatically find Java (64-bit) on Window...
Status: RESOLVED FIXED
Product: installer
Classification: Unclassified
Component: NBI
6.x
PC Windows XP x64
: P3 (vote)
: 6.x
Assigned To: dlipin
issues@installer
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-05 21:34 UTC by spamanon
Modified: 2008-05-22 04:53 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description spamanon 2008-02-05 21:34:03 UTC
I downloaded and installed the 64 bit jre, downloaded and installed the 64 jdk.  Then I tried to install
netbeanse-6.0-javase-windows.exe and an error pops up that says No suitable jdk is available.  I saw that there is a
description of this problem for netbeans 5.5, but not for 6.0.  I tried the -is:javahome flag, but this had no effect on
the outcome.
Comment 1 dlipin 2008-02-05 21:38:22 UTC
spamanon,

try --javahome <jdk-path> installer switch, that should work fine.

thanks,
Dmitry
Comment 2 dlipin 2008-02-06 13:14:30 UTC
spamanon,

could you please run installer in the following way:
1) netbeanse-6.0-javase-windows.exe --output out.txt --verbose
2) netbeanse-6.0-javase-windows.exe --output out.txt2 --verbose --javahome <jdk-path>
and attach out.txt and out2.txt here?

I assume that problem is that 64bit JDK stores its keys in 64bit section of Windows Registry.
The NetBeans Installer (specifically, launcher, but probably that also affects the all java search in the installer 
itself) reads only 32bit keys since it is 32bit application.
Comment 3 dlipin 2008-02-06 13:16:47 UTC
see also:
http://www.netbeans.org/issues/show_bug.cgi?id=91549
Comment 4 alessandronip 2008-03-04 07:59:59 UTC
Sorry for bad english.

Same problem with WinXP (no x64) only for some user.

in log.txt:
[2008-03-04 08:45:52.495]: executing command: C:\Programmi\Java\jdk1.6.0_03\bin\java.exe -classpath C:\Documents and 
Settings\alessandronip\.nbi\tmp TestJDK, in directory: .
[2008-03-04 08:45:52.573]:     [stderr]: java.lang.ClassFormatError: Truncated class file

Solved after deleted <user home>\.nbi directory
Comment 5 Quality Engineering 2008-05-07 04:50:33 UTC
Integrated into 'main-golden', available in NB_Trunk_Production #180 build
Changeset: http://hg.netbeans.org/main/rev/92976e030562
User: Dmitry Lipin <dlipin@netbeans.org>
Log: Issue #126770 NetBeans Installer can`t automatically find Java (64-bit) on Windows x64 (part1, nbi launcher)
Comment 6 dlipin 2008-05-21 19:17:00 UTC
Should be fixed now, thanks Yulia for initial testing :)
http://hg.netbeans.org/main/rev/99d302e43d2b
Comment 7 Quality Engineering 2008-05-22 04:53:48 UTC
Integrated into 'main-golden', available in NB_Trunk_Production #210 build
Changeset: http://hg.netbeans.org/main/rev/99d302e43d2b
User: Dmitry Lipin <dlipin@netbeans.org>
Log: Issue #126770 NetBeans Installer can`t automatically find Java (64-bit) on Windows x64


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo